# $Id: perl-XML-Tiny.spec 6839 2009-05-29 13:03:02Z cmr $
# Authority: dries
# Upstream: David Cantrell <pause$barnyard,co,uk>

%define perl_vendorlib %(eval "`%{__perl} -V:installvendorlib`"; echo $installvendorlib)
%define perl_vendorarch %(eval "`%{__perl} -V:installvendorarch`"; echo $installvendorarch)

%define real_name XML-Tiny

Summary: Simple lightweight parser for a subset of XML
Name: perl-XML-Tiny
Version: 2.02
Release: 1.rf
License: Artistic/GPL
Group: Applications/CPAN
URL: http://search.cpan.org/dist/XML-Tiny/

Packager: Dries Verachtert <dries@ulyssis.org>
Vendor: Dag Apt Repository, http://dag.wieers.com/apt/

Source: http://www.cpan.org/modules/by-module/XML/XML-Tiny-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildArch: noarch
BuildRequires: perl
BuildRequires: perl(ExtUtils::MakeMaker)

%description
Simple lightweight parser for a subset of XML.

%prep
%setup -n %{real_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS="vendor" PREFIX="%{buildroot}%{_prefix}"
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%{__make} pure_install

### Clean up buildroot
find %{buildroot} -name .packlist -exec %{__rm} {} \;

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc CHANGES MANIFEST META.yml README
%doc %{_mandir}/man3/XML::Tiny.3pm*
%dir %{perl_vendorlib}/XML/
#%{perl_vendorlib}/XML/Tiny/
%{perl_vendorlib}/XML/Tiny.pm

%changelog
* Fri May 29 2009 Christoph Maser <cmr@financial.com> - 2.02-1 - 6839/cmr
- Updated to version 2.02.

* Mon Nov 19 2007 Dag Wieers <dag@wieers.com> - 1.11-1
- Updated to release 1.11.

* Sun Apr 29 2007 Dries Verachtert <dries@ulyssis.org> - 1.05-1
- Initial package.
